#
# $Copyright: Copyright (c) 2014 Symantec Corporation.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
# The Licensed Software and Documentation are deemed to be commercial
# computer software as defined in FAR 12.212 and subject to restricted
# rights as defined in FAR Section 52.227-19 "Commercial Computer
# Software - Restricted Rights" and DFARS 227.7202, "Rights in
# Commercial Computer Software or Commercial Computer Software
# Documentation", as applicable, and any successor regulations. Any use,
# modification, reproduction release, performance, display or disclosure
# of the Licensed Software and Documentation by the U.S. Government
# shall be solely in accordance with the terms of this Agreement.  $
# $Revision: 1.1.2.1 $
# $Source: /project/arrayrep/src/ntap/unix/snapmirror/Attic/addNetAppSnapMirrorAgent.sh,v $
#
#!/bin/sh

add_fun(){
result="`$@ 2>&1`"
if [ $? -eq 1 ]; then
	if [ `echo "$result" | grep -c "already exist"` -eq 1 ]; then
		:	
	else
		echo "$@";
	fi
fi
}

VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
ro=`${VCSHOME}/bin/haclus -value ReadOnly`
if [ $? -eq 0 ]; then
	if [ "$ro" -eq 1 ]; then
		${VCSHOME}/bin/haconf -makerw
	fi
else
	echo "Unable to add the NetAppSnapMirror type. VCS Engine is not running. Start VCS Engine and execute the script /etc/VRTSvcs/conf/sample_na/addNetAppSnapMirrorAgent.sh"
	exit 0;
fi
add_fun "${VCSHOME}/bin/hatype -add NetAppSnapMirror"
${VCSHOME}/bin/hatype -modify NetAppSnapMirror ArgList VolumeName SnapMirrorSchedule LocalFilerName LocalFilerPword RemoteFilerName RemoteFilerPword OpsThrottle VisibilityFrequency LocalFilerUserName RemoteFilerUserName 
${VCSHOME}/bin/hatype -modify NetAppSnapMirror SourceFile "./NetAppSnapMirrorTypes.cf"
${VCSHOME}/bin/hatype -modify NetAppSnapMirror SupportedActions update reestablish swap PreSwitch GetCurrentRPO
add_fun "${VCSHOME}/bin/haattr -add NetAppSnapMirror VolumeName -string"
add_fun "${VCSHOME}/bin/haattr -add NetAppSnapMirror SnapMirrorSchedule -string"
add_fun "${VCSHOME}/bin/haattr -add NetAppSnapMirror LocalFilerName -string"
add_fun "${VCSHOME}/bin/haattr -add NetAppSnapMirror LocalFilerUserName -string root"
add_fun "${VCSHOME}/bin/haattr -add NetAppSnapMirror LocalFilerPword -string"
add_fun "${VCSHOME}/bin/haattr -add NetAppSnapMirror RemoteFilerName -string"
add_fun "${VCSHOME}/bin/haattr -add NetAppSnapMirror RemoteFilerUserName -string root"
add_fun "${VCSHOME}/bin/haattr -add NetAppSnapMirror RemoteFilerPword -string"
add_fun "${VCSHOME}/bin/haattr -add NetAppSnapMirror OpsThrottle -string"
add_fun "${VCSHOME}/bin/haattr -add NetAppSnapMirror VisibilityFrequency -integer 180"
add_fun "${VCSHOME}/bin/haattr -add NetAppSnapMirror ComputeDRSLA -integer 1"

if [ "$ro" -eq 1 ];
then
        ${VCSHOME}/bin/haconf -dump -makero
else
        ${VCSHOME}/bin/haconf -dump
fi

